# $Revision: 1.27 $, $Date: 2007/02/24 22:43:45 $
Summary:	HOME-ETC support programs and scripts
Summary(pl.UTF-8):	Skrypty i programy zapewniające wsparcie dla HOME-ETC
Name:		home-etc
Version:	1.0.9
Release:	5
Epoch:		1
License:	LGPL
Group:		Base
Source0:	ftp://ftp.pld-linux.org/people/siefca/distfiles/%{name}-%{version}.tar.gz
# Source0-md5:	628d3acd77458e291f753992d81977c4
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
Requires:	%{name}-lib = %{epoch}:%{version}-%{release}
Requires:	coreutils
Requires:	shadow
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HOME-ETC is an idea to keep configuration files in a subdirectory
specified by user, instead of its home directory. This package
provides support for it.

%description -l pl.UTF-8
HOME-ETC jest pomysłem, aby przechowywać pliki konfiguracyjne
w podkatalogu wskazanym przez użytkownika, zamiast bezpośrednio
w jego katalogu domowym. Pakiet ten zapewnia wsparcie dla tego
mechanizmu.

%package lib
Summary:	HOME-ETC Library
Summary(pl.UTF-8):	Biblioteka mechanizmu HOME-ETC
License:	LGPL
Group:		Libraries

%description lib
HOME-ETC is an idea to keep configuration files in a subdirectory
specified by user, instead of its home directory. This package
contains shared HOME-ETC library.

%description lib -l pl.UTF-8
HOME-ETC jest pomysłem, aby przechowywać pliki konfiguracyjne
w podkatalogu wskazanym przez użytkownika, zamiast bezpośrednio
w jego katalogu domowym. Pakiet ten zawiera bibliotekę dzieloną
HOME-ETC.

%package devel
Summary:	Header files for HOME-ETC
Summary(pl.UTF-8):	Pliki nagłówkowe dla mechanizmu HOME-ETC
License:	LGPL
Group:		Development/Libraries
Requires:	%{name}-lib = %{epoch}:%{version}-%{release}

%description devel
HOME-ETC is an idea to keep configuration files in a subdirectory
specified by user, instead of its home directory. This package
contains header files needed to build HOME-ETC-compliant applications.

%description devel -l pl.UTF-8
HOME-ETC jest pomysłem, aby przechowywać pliki konfiguracyjne
w podkatalogu wskazanym przez użytkownika, zamiast bezpośrednio
w jego katalogu domowym. Pakiet ten zawiera pliki nagłówkowe
potrzebne do budowania aplikacji zgodnych z HOME-ETC.

%package static
Summary:	Static version of HOME-ETC library
Summary(pl.UTF-8):	Wersja statyczna biblioteki HOME-ETC
License:	LGPL
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
HOME-ETC is an idea to keep configuration files in a subdirectory
specified by user, instead of its home directory. This package
contains static version of the library.

%description static -l pl.UTF-8
HOME-ETC jest pomysłem, aby przechowywać pliki konfiguracyjne
w podkatalogu wskazanym przez użytkownika, zamiast bezpośrednio
w jego katalogu domowym. Pakiet ten zawiera statyczną wersję
biblioteki.

%package examples
Summary:	Example files for HOME-ETC
Summary(pl.UTF-8):	Pliki przykładów dla mechanizmu HOME-ETC
License:	LGPL
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description examples
HOME-ETC is an idea to keep configuration files in a subdirectory
specified by user, instead of its home directory. This package
contains examples, which explains how to modify existing applications.

%description examples -l pl.UTF-8
HOME-ETC jest pomysłem, aby przechowywać pliki konfiguracyjne
w podkatalogu wskazanym przez użytkownika, zamiast bezpośrednio
w jego katalogu domowym. Pakiet ten zawiera pliki przykładów,
które wyjaśniają w jaki sposób modyfikować istniejące aplikacje.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libexecdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	lib -p /sbin/ldconfig
%postun	lib -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTORS README doc/HOME-ETC.pl.txt
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) /etc/profile.d/home-etc.*sh
/etc/skel/.home_etc

%files lib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/DEVEL-NOTES FILES TODO
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: home-etc.spec,v $
Revision 1.27  2007/02/24 22:43:45  megabajt
- release 5

Revision 1.26  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.24  2005/08/29 17:23:19  baggins
- release 4
- so lib back to /usr/lib where it belongs (rpm no longer requires it)

Revision 1.23  2005/06/22 07:21:49  qboosh
- -lib Group changed to Libraries
- -devel R: -lib not base
- release 3

Revision 1.22  2005/06/19 14:18:49  baggins
- release 2
- added lib subpackage
- install shared lib in /lib
- STBR

Revision 1.21  2004/04/07 14:09:23  siefca
- new release (autogenerated from publish target)

Revision 1.4  2004/02/19 10:36:55  qboosh
- applied fixes from SPECS

Revision 1.3  2003/12/15 13:30:49  siefca
- Makefile.am-s fixed
- documentation updated
- prepared for release

Revision 1.2  2003/12/11 18:34:22  siefca
- updates

Revision 1.1  2003/12/11 18:01:59  siefca
- autoheader added to autogen.sh script
- std checks added to configure.ac
- added includes.h with HAVE_ conditions

Revision 1.21  2003/12/11 16:41:44  siefca
- examples updated in documentation
- version 1.0.8

Revision 1.20  2003/12/11 16:06:30  siefca
- code reorganization at wrappers section
- directory wrappers are now returning HOME instead of NULL pointer
- tests expanded
- documentation fixed and updated

Revision 1.19  2003/12/10 16:57:23  siefca
-documentation fixed and updated

Revision 1.18  2003/12/10 16:38:53  siefca
- serious code reorganization
- added macros for easier usage (_HE, _HEdir, _HEn, _HEndir, ___HE, ___HEdir)
- home_etc_path() parses now uses caching get_home_etc_static()
- added home_etc_reset() which may be used to flush the cache
- examples added
- documentation updated

Revision 1.17  2003/12/10 13:16:22  siefca
- added manual pages
- documentation section reorganized for devel subpackage
- version: 1.0.5

Revision 1.16  2003/12/08 16:30:56  siefca
- added note about absolutizing directory in .home-etc into documentation

Revision 1.15  2003/12/08 16:16:24  siefca
- interface change
- devel documentation updated

Revision 1.14  2003/12/08 13:11:37  siefca
- added DEVEL-NOTES

Revision 1.13  2003/12/08 12:37:16  siefca
- autogeneration for CONTRIBUTORS
- autoupdate target for SPEC module

Revision 1.8  2003/12/08 12:17:18  siefca
- release 3

Revision 1.7  2003/12/07 20:20:28  eothane
- correct Source0-md5:

Revision 1.6  2003/12/07 18:23:03  siefca
- md5 updated

Revision 1.5  2003/12/07 18:22:31  siefca
- release 2

Revision 1.11  2003/12/07 18:18:18  siefca
- bug fixed in migration script

Revision 1.10  2003/12/07 17:58:56  siefca
- major fixes in interface
- Makefile for src fixed

Revision 1.9  2003/12/07 17:15:03  siefca
- version: 1.0.2

Revision 1.8  2003/12/07 17:06:11  siefca
- added auto-update to the home-etc migration script against list
- added patchwork dir containing working patches index
- added static safe wrapper for get_home_etc() and a macro for it
- naming convention modified; now _HE and _HEdir
- release 3

Revision 1.7  2003/12/05 17:21:50  siefca
- added ldconfig in post(un)
- fixed files section

Revision 1.6  2003/11/30 12:28:44  siefca
- typo fixed

Revision 1.5  2003/11/30 12:27:45  siefca
- static subpackage added

Revision 1.4  2003/11/28 18:05:25  siefca
- debugging removed from script
- Makefile fixes

Revision 1.3  2003/11/28 17:54:10  siefca
- examples subpackage added
- removed debugging switches from Makefile
- added home-etc migration script to the installing routines

Revision 1.2  2003/11/28 12:49:10  siefca
- Requires: coreutils
- RPM compliance in moving script

Revision 1.1  2003/11/26 19:33:25  siefca
- license changed to LGPL
- Makefiles for scripts and skeleton files
- more documentation
- Requires: shadow in specfile

Revision 1.4  2003/11/26 19:18:34  siefca
- epoch in the right place
- added todo about libtool and automake

Revision 1.3  2003/11/26 19:15:43  siefca
- documentation updated
- spec updated
- Makefiles fixed

Revision 1.2  2003/11/26 18:26:39  siefca
- updates

Revision 1.1.1.1  2003/11/26 18:10:58  siefca
- initial revision
